Partner
Create partner
POST /partner
POST /partner
Request body
idintegerbodyrequiredThe unique identifier of the partner
emailstringbodyThe email of the partner
lastUsagestringbodyThe last usage of the partner
zipstringbodyThe postal code of the partner's address
citystringbodyThe city of the partner's address
phonestringbodyThe partner's phone number
tagIdsinteger[]bodyA list of tag IDs associated with the partner
addressstringbodyThe street and house number of the partner's address
companystringbodyThe name of the company the partner is associated with, if any
countrystringbodyThe country of the partner
businessbooleanbodyrequiredWhether the partner is a business entity
lastnamestringbodyThe partner's last name
firstnamestringbodyThe partner's first name
serviceIdstringbodyThe service ID of the partner
linkstringbodyThe link of the partner
salutationstringbodyThe salutation (e.g., Mr., Mrs.) of the partner
contractIdsinteger[]bodyA list of contract IDs associated with the partner
emailMatchesstring[]bodyPossible email matches associated with the partner
descriptionstringbodyThe description of the partner
additionalDatastringbodyAny additional data related to the partner
billingAddressstringbodyThe partner's billing address
deliveryAddressstringbodyThe partner's delivery address
Request Example
{
"id": 1,
"email": "mia.jones@gmail.com",
"lastUsage": "2022-12-13 22:18:06",
"zip": "10409",
"city": "Berlin",
"phone": "+4915324567843",
"tagIds": [],
"address": null,
"company": null,
"country": "Germany",
"business": false,
"lastname": "Jones",
"firstname": "Mia",
"serviceId": "5353543",
"link": null,
"salutation": null,
"contractIds": [],
"emailMatches": null,
"description": null,
"additionalData": null,
"billingAddress": null,
"deliveryAddress": null
}Responses
200 — Successful operation
500 — Internal error